package com.muyu.juhe;

import com.alibaba.fastjson2.annotation.JSONField;
import com.muyu.market.admain.request.RealNameRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class JuHeRealNameReq {
    /**
     * 身份证号码
     */
    @JSONField(name = "idcard")
    private String idCard;
    /**
     * 姓名
     */
    @JSONField(name = "realname")
    private String realName;
    /**
     * 传1时返回单号
     */
    @JSONField(name = "orderid")
    private Integer orderId;

    private String key;

    public static JuHeRealNameReq realNameReqBuild(RealNameRequest realNameRequest){
        return JuHeRealNameReq.builder()
                .key("cdd821cebf9cb018406845ca9b37bd62")
                .idCard(realNameRequest.getIdCard())
                .realName(realNameRequest.getName())
                .orderId(1)
                .build();
    }
}
