package com.muyu.market.admain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.market.admain.request.RecordListReq;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@SuperBuilder
@NoArgsConstructor
@TableName(value = "market_record",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class Record extends BaseEntity {


    /**
     * 记录表ID
     */
    @TableId(value = "record_id",type = IdType.AUTO)
    private Long recordId;
    /**
     * 用户名称
     */
    @Schema(type = "String",description = "用户名称")
    private String userName;
    /**
     * 商品名称
     */
    @Schema(type = "String",description = "商品名称")
    private String name;
    /**
     * 价格
     */
    @Schema(type = "BigDecimal",description = "价格")
    private BigDecimal price;
    /**
     * 购买时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "购买时间",type = "Date")
    private Date buyTime;


    private String createBy;
    private Date createTime;
    private String updateBy;
    private Date updateTime;
    private String remark;


    public static Record SaveRecodeList(RecordListReq recodeListReq){

        return Record
                .builder()
                .recordId(recodeListReq.getRecordId())
                .userName(recodeListReq.getUserName())
                .name(recodeListReq.getName())
                .price(recodeListReq.getPrice())
                .buyTime(recodeListReq.getBuyTime())
                .build();
    }




}
