package com.muyu.market.admain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@SuperBuilder
@NoArgsConstructor
@TableName(value = "market_top_log",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class TopLog extends BaseEntity {


    /**
     * 充值ID
     */
    @TableId(type = IdType.AUTO,value = "id")
    private Long id;
    /**
     * 订单编号
     */
    @Schema(description = "订单编号",type = "String")
    private String number;
    /**
     * 交易名称
     */
    @Schema(description = "交易名称",type = "String")
    private String channel;
    /**
     * 交易金额
     */
    @Schema(description = "交易金额",type = "BigDecimal")
    private BigDecimal money;
    /**
     * 充值时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "充值时间",type = "String")
    private Date time;

    private String createBy;
    private Date createTime;
    private String updateBy;
    private Date updateTime;
    private String remark;

}
