package com.muyu.market.admain.request;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "购买商品记录表", description = "购买商品记录表展示请求")
public class RecordListReq {


    /**
     * 记录表ID
     */
    @TableId(value = "record_id",type = IdType.AUTO)
    private Long recordId;
    /**
     * 用户名称
     */
    @Schema(type = "String",description = "用户名称")
    private String userName;
    /**
     * 商品名称
     */
    @Schema(type = "String",description = "商品名称")
    private String name;
    /**
     * 价格
     */
    @Schema(type = "BigDecimal",description = "价格")
    private BigDecimal price;
    /**
     * 购买时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "购买时间",type = "Date")
    private Date buyTime;

}
