package com.muyu.market.admain.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.market.admain.Spend;
import com.muyu.market.admain.TopLog;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@SuperBuilder
@NoArgsConstructor
@Tag(name = "充值记录表",description = "记录客户充值的数据")
public class TopLogresp extends BaseEntity {


    /**
     * 充值ID
     */
    @TableId(type = IdType.AUTO,value = "id")
    private Long id;
    /**
     * 订单编号
     */
    @Schema(description = "订单编号",type = "String")
    private String number;
    /**
     * 交易名称
     */
    @Schema(description = "交易名称",type = "String")
    private String channel;
    /**
     * 交易金额
     */
    @Schema(description = "交易金额",type = "BigDecimal")
    private BigDecimal money;
    /**
     * 充值时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "充值时间",type = "String")
    private Date time;



    private String create_by;
    private String create_time;
    private String update_by;
    private String update_time;
    private String remark;


    public static TopLogresp selTopLogList(TopLog topLog){

        return TopLogresp
                .builder()
                .id(topLog.getId())
                .number(topLog.getNumber())
                .channel(topLog.getChannel())
                .money(topLog.getMoney())
                .time(topLog.getTime())
                .build();
    }

}
