package com.muyu.market.admain.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "充值余额返回", description = "用于响应充值请求参数")
public class updSysUserMoneyResp {
    /**
     * 用户ID
     */
    @TableId(value = "user_id",type = IdType.AUTO)
    private Long userId;
    /**
     * 部门ID
     */
    @Schema(description = "部门ID",type = "Long")
    private Long deptId;
    /**
     * 用户账号
     */
    @Schema(description = "用户账号",type = "String")
    private String userName;
    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称",type = "String")
    private String nickName;
    /**
     * 用户类型
     */
    @Schema(description = "用户类型",type = "String")
    private String userType;
    /**
     * 余额
     */
    @Schema(description = "余额",type = "BigDecimal")
    private BigDecimal money;
    /**
     * 用户邮箱
     */
    @Schema(description = "用户邮箱",type = "String")
    private String email;
    /**
     * 手机号码
     */
    @Schema(description = "用户邮箱",type = "String")
    private String phonenumber;
    /**
     * 用户性别（0男 1女 2未知）
     */
    @Schema(description = "用户性别",type = "String")
    private String sex;

    /**
     * 头像地址
     */
    @Schema(description = "头像地址",type = "String")
    private String avatar;
    /**
     * 密码
     */
    @Schema(description = "密码",type = "String")
    private String password;
    /**
     * 帐号状态（0正常 1停用）
     */
    @Schema(description = "帐号状态",type = "String")
    private String status;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @Schema(description = "删除标志",type = "String")
    private String delFlag;
    /**
     * 最后登录IP
     */
    @Schema(description = "最后登录IP",type = "String")
    private String loginIp;
    /**
     * 最后登录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "最后登录时间",defaultValue = "2024-5-15 10:00:52",type = "Date")
    private Date loginDate;
    /**
     * 创建者
     */
    @Schema(description = "创建者",type = "String")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间",defaultValue = "2024-5-15 10:00:52",type = "Date")
    private Date createTime;
    /**
     * 更新者
     */
    @Schema(description = "更新者",type = "String")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间",defaultValue = "2024-5-15 10:00:52",type = "Date")
    private Date updateTime;
    /**
     * 备注
     */
    @Schema(description = "备注",type = "String")
    private String remark;
}
