package com.muyu.market.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.LoginUser;
import com.muyu.market.admain.Belong;
import com.muyu.market.server.service.BelongService;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@Tag( name = "购物车控制层",description = "查询登录人购买操作")
public class BelongController {
    @Autowired
    private BelongService belongService;

    @PostMapping("/selectBelongByUser")
    public Result selectBelongByUser(){
        LoginUser loginUser = SecurityUtils.getLoginUser();
        Integer userid = Math.toIntExact( loginUser.getUserid() );
        System.out.println(loginUser);
        List<Belong> belongListByUserId = belongService.findBelongListByUserId( userid );
        return Result.success(belongListByUserId);
    }
}
