package com.muyu.market.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.market.admain.Msg;
import com.muyu.market.server.service.MsgService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@Slf4j
@RestController
@RequestMapping("/msg")
@Tag(name = "msg接口文档展示控制层",description = "msg接口文档展示控制层")
@RequiredArgsConstructor
public class MsgController {

    @Autowired
    private MsgService msgService;


    @PostMapping("/findMsgByApiId")
    @Operation(summary = "msg接口文档查询展示",description = "根据ID查询接口文档展示")
    public Result<List<Msg>> selectByApisId(@Validated @RequestParam( value = "apiId") Integer apiId){
        List<Msg> msgByApiId = msgService.findMsgByApiId( apiId );
        return Result.success(msgByApiId,"操作成功");
    }


}
