package com.muyu.market.server.controller;

import com.muyu.market.admain.BasicApi;
import com.muyu.market.admain.request.RealNameRequest;
import com.muyu.market.admain.response.RealNameResponse;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.annotation.Resource;


@RestController
@RequestMapping("/juhe")
@Tag(name = "实名认证",description = "实名认证")
public class RealNameController {


    @Resource
    private BasicApi<RealNameRequest, RealNameResponse> realNameService;


    @PostMapping("/idcardSelect")
    @Operation(summary = "查询身份证",description = "查询身份证")
    public RealNameResponse realName(@RequestBody RealNameRequest realNameRequest){
        RealNameResponse realNameResponse = null;

        try {
            realNameResponse = realNameService.send(realNameRequest);
            return realNameResponse;
        } catch (Exception e) {
            throw new RuntimeException("身份证错误");
        }
    }
}
