package com.muyu.market.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.market.admain.Record;
import com.muyu.market.admain.request.RecordListReq;
import com.muyu.market.admain.response.RecordListResp;
import com.muyu.market.server.service.RecordService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/recode")
@Tag(name = "购买记录控制层",description = "购买记录控制层")
@RequiredArgsConstructor
public class RecordController {

    @Autowired
    private RecordService recodeService;


    /**
     * 购买记录展示
     * @param recodeListReq
     * @return
     */
    @RequestMapping(path = "/recodeList",method = RequestMethod.POST)
    @Operation(summary = "购买记录展示",description = "根据接口数据可以购买记录展示")
    public Result<List<RecordListResp>> findByrecodeList(@Validated @RequestBody RecordListReq recodeListReq){
        return Result.success( recodeService.findByrecodeList( recodeListReq ));
    }


    /**
     * 添加接口
     * @param recodeListReq
     * @return
     */
    @PostMapping
    @Operation(summary = "购买记录添加",description = "购买记录添加，添加成功才可以使用")
    public Result<String> save(@Validated @RequestBody RecordListReq recodeListReq){
        recodeService.save( Record.SaveRecodeList( recodeListReq ));
        return Result.success(null,"操作成功");
    }

}
