package com.muyu.market.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.market.admain.request.SpendReq;
import com.muyu.market.admain.response.SpendResp;
import com.muyu.market.server.service.SpendService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/spend")
@Tag(name = "消费记录控制层",description = "消费记录控制层")
@RequiredArgsConstructor
public class SpendController {

    @Autowired
    private SpendService spendService;

    @RequestMapping(path = "/spendList",method = RequestMethod.POST)
    @Operation(summary = "消费记录展示",description = "根据接口")
    public Result<List<SpendResp>> findBySpendList(@Validated @RequestBody SpendReq spendReq){
        return Result.success(spendService.findBySpendList(spendReq));
    }

}
