package com.muyu.market.server.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.LoginUser;
import com.muyu.market.admain.Belong;
import com.muyu.market.server.mapper.BelongMapper;
import com.muyu.market.server.service.BelongService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BelongServiceImpl extends ServiceImpl<BelongMapper, Belong> implements BelongService {

    @Autowired
    private BelongMapper belongMapper;
    //展示个人购买数据
    @Override
    public List<Belong> findBelongListByUserId(Integer userId) {
        LambdaQueryWrapper<Belong> belongRespLambdaQueryWrapper = new LambdaQueryWrapper<>();
        LambdaQueryWrapper<Belong> eq = belongRespLambdaQueryWrapper.eq( Belong::getUserId, userId );
        List<Belong> list = this.list( eq );
        return list;
    }

    /**
     * 将购买的数据 存在个人的表中
     * @param belong
     */
    @Override
    public void addBelong(Belong belong) {
         belongMapper.insert( belong );

    }
}
