package com.muyu.market.server.service.Impl;

import com.alibaba.nacos.common.utils.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.market.admain.Myapi;
import com.muyu.market.admain.request.MyapiListReq;
import com.muyu.market.admain.response.MyapiListResp;
import com.muyu.market.server.mapper.MyapiMapper;
import com.muyu.market.server.service.MyapiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class MyapiServiceImpl extends ServiceImpl<MyapiMapper, Myapi> implements MyapiService {


    @Autowired
    private MyapiMapper myapiMapper;
    @Override
    public List<MyapiListResp> findByMyapiList(MyapiListReq myapiListReq) {


        LambdaQueryWrapper<Myapi> lambdaQueryWrapperlist = new LambdaQueryWrapper<>();
        /**
         * 查询接口名称
         */

        if (StringUtils.isNotBlank( myapiListReq.getName())) {
            lambdaQueryWrapperlist.like( Myapi::getName, myapiListReq.getName());
        }

        List<Myapi> productlist = this.list(lambdaQueryWrapperlist);

        return   productlist.stream()
                .map( MyapiListResp::selProductList)
                .collect(Collectors.toList());

    }


//    /**
//     * 定时任务：每天执行一次，检查并取消24小时前未支付的订单
//     */
//    @Scheduled(cron = "0 0 0 * * ?") // 每天的0点0分0秒执行
//    public void cancelUnpaidOrders() {
//
//        LocalDateTime now = LocalDateTime.now();
//        LocalDateTime threshold = now.minus(24, ChronoUnit.HOURS); // 24小时前的时间点
//
//        // Orders实体中有一个createTime字段表示订单的创建时间
//        QueryWrapper<Orders> queryWrapper = new QueryWrapper<>();
//        queryWrapper.lt("create_time", threshold.toString()) // 创建时间小于24小时前
//                .eq("status", "未支付"); // 订单状态为未支付
//
//        // 执行查询并取消订单
//        List<Orders> unpaidOrders = orderMapper.selectList(queryWrapper);
//        for (Orders order : unpaidOrders) {
//            // 取消订单的逻辑，比如更新订单状态为已取消
//            order.setOrderStatus("已取消");
//            orderMapper.updateById(order);
//        }
//    }



}
