package com.muyu.market.server.service.Impl;

import com.alibaba.nacos.common.utils.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.market.admain.Record;
import com.muyu.market.admain.request.RecordListReq;
import com.muyu.market.admain.response.RecordListResp;
import com.muyu.market.server.mapper.RecordMapper;
import com.muyu.market.server.service.RecordService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class RecordServiceImpl extends ServiceImpl<RecordMapper, Record> implements RecordService {


    @Override
    public List<RecordListResp> findByrecodeList(RecordListReq recodeListReq) {


        LambdaQueryWrapper<Record> lambdaQueryWrapperlist = new LambdaQueryWrapper<>();

        /**
         * 查询购买的API名称
         */
        if (StringUtils.isNotBlank( recodeListReq.getName())) {
            lambdaQueryWrapperlist.like( Record::getName, recodeListReq.getName());
        }

        List<Record> recodelist = this.list(lambdaQueryWrapperlist);

        return  recodelist.stream()
                .map( RecordListResp::selRecodeList)
                .collect(Collectors.toList());
    }
}
