package com.muyu.market.server.service.Impl;

import com.alibaba.nacos.common.utils.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.market.admain.Myapi;
import com.muyu.market.admain.TopLog;
import com.muyu.market.admain.request.TopLogreq;
import com.muyu.market.admain.response.MyapiListResp;
import com.muyu.market.admain.response.TopLogresp;
import com.muyu.market.server.mapper.TopLogMapper;
import com.muyu.market.server.service.TopLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class TopLogServiceImpl extends ServiceImpl<TopLogMapper, TopLog> implements TopLogService {

    @Autowired
    private TopLogMapper topLogMapper;


    @Override
    public List<TopLogresp> findByTopLOgList(TopLogreq topLogreq) {



        LambdaQueryWrapper<TopLog> lambdaQueryWrapperlist = new LambdaQueryWrapper<>();
        /**
         * 查询接口名称
         */

        if (StringUtils.isNotBlank( topLogreq.getChannel())) {
            lambdaQueryWrapperlist.like( TopLog::getChannel, topLogreq.getChannel());
        }

        List<TopLog> topLogslist = this.list(lambdaQueryWrapperlist);

        return   topLogslist.stream()
                .map( TopLogresp::selTopLogList)
                .collect(Collectors.toList());

    }
}
