package com.muyu.market.server.util;

import com.muyu.common.core.domain.Result;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;

public class SelectIDCardUtil {
    public static Result main(String name, String idcard) throws Exception {

        String apiKey = "cdd821cebf9cb018406845ca9b37bd62";
        String apiUrl = "http://op.juhe.cn/idcard/query";

        HashMap<String, String> map = new HashMap<>();
        map.put("key", apiKey);
        map.put("idcard", idcard);
        map.put("realname", name);

        URL url = new URL(apiUrl + "?" + params(map));
        BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
        String inputLine;
        StringBuffer response = new StringBuffer();
        while ((inputLine = in.readLine()) != null) {
            response.append(inputLine);
        }
        in.close();
        System.out.println(response);
        return Result.success(response);
    }

    public static String params(Map<String, String> map) {
        return map.entrySet().stream()
                .map(entry -> {
                    try {
                        return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
                    } catch (Exception e) {
                        e.printStackTrace();
                        return entry.getKey() + "=" + entry.getValue();
                    }
                })
                .collect(Collectors.joining("&"));
    }


}
